Gocator API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoProfileGeneration Class Reference

## Description

Represents a profile generation configuration.

Note
  Supported with G1

Inheritance diagram for GoProfileGeneration:

## Public Member Functions
GoProfileGenerationType | GoProfileGeneration_GenerationType (GoProfileGeneration profile)
| Gets the current profile generation type. More...
kStatus | GoProfileGeneration_SetGenerationType (GoProfileGeneration profile, GoProfileGenerationType type)
| Sets the profile generation type. More...
k64f | GoProfileGenerationFixedLength_Length (GoProfileGeneration profile)
| Gets the fixed length profile generation profile length. More...
k64f | GoProfileGenerationFixedLength_LengthLimitMax (GoProfileGeneration profile)
| Gets the fixed length profile generation circumference limit maximum value. More...
k64f | GoProfileGenerationFixedLength_LengthLimitMin (GoProfileGeneration profile)
| Gets the fixed length profile generation circumference limit minimum value. More...
kStatus | GoProfileGenerationFixedLength_SetLength (GoProfileGeneration profile, k64f length)
| Sets the fixed length profile generation profile length. More...
kStatus | GoProfileGenerationFixedLength_SetStartTrigger (GoProfileGeneration profile, GoProfileGenerationStartTrigger trigger)
| Sets the fixed length profile generation start trigger. More...
kStatus | GoProfileGenerationFixedLength_SetTriggerExternalInputIndex (GoProfileGeneration surface, k32s index)
| Sets the external input index to trigger surface capturing. More...
GoProfileGenerationStartTrigger | GoProfileGenerationFixedLength_StartTrigger (GoProfileGeneration profile)
| Gets the fixed length profile generation start trigger. More...
k32s | GoProfileGenerationFixedLength_TriggerExternalInputIndex (GoProfileGeneration surface)
| Gets the external input index to trigger surface capturing. More...
kSize | GoProfileGenerationFixedLength_TriggerExternalInputIndexOptionCount (GoProfileGeneration surface)
| Gets the count of available external input trigger index options. More...
kBool | GoProfileGenerationFixedLength_TriggerExternalInputIndexUsed (GoProfileGeneration surface)
| Gets the flag indicating whether the external input trigger is being used. More...
k64f | GoProfileGenerationRotational_Circumference (GoProfileGeneration profile)
| Gets the rotational profile generation circumference. More...
k64f | GoProfileGenerationRotational_CircumferenceLimitMax (GoProfileGeneration profile)
| Gets the rotational profile generation circumference limit maximum value. More...
k64f | GoProfileGenerationRotational_CircumferenceLimitMin (GoProfileGeneration profile)
| Gets the rotational profile generation circumference limit minimum value. More...
kStatus | GoProfileGenerationRotational_SetCircumference (GoProfileGeneration profile, k64f value)
| Sets the rotational profile generation profile circumference. More...
k64f | GoProfileGenerationVariableLength_MaxLength (GoProfileGeneration profile)
| Gets the variable length profile generation maximum length. More...
k64f | GoProfileGenerationVariableLength_MaxLengthLimitMax (GoProfileGeneration profile)
| Gets the variable length profile generation circumference limit maximum value. More...
k64f | GoProfileGenerationVariableLength_MaxLengthLimitMin (GoProfileGeneration profile)
| Gets the variable length profile generation circumference limit minimum value. More...
kStatus | GoProfileGenerationVariableLength_SetMaxLength (GoProfileGeneration profile, k64f length)
| Sets the variable length profile generation maximum length. More...

The documentation for this class was generated from the following file:

- GoProfileGeneration.h